import 'package:build/build.dart';
import 'package:source_gen/source_gen.dart';
import 'package:rest_api_builder_generator/src/api_builders.dart';

Builder restApiBuilder(BuilderOptions options) =>
    SharedPartBuilder([
      GetBuilderGenerator(),
      PostBuilderGenerator(),
      PutBuilderGenerator(),
      DeleteBuilderGenerator(),
    ], 'rest_api_builder');
